#ifndef ___TTXTSUBSPAGEMENU_H
#define ___TTXTSUBSPAGEMENU_H

#include <vdr/config.h>
#include <vdr/osd.h>
#include "ttxtsubs.h"

class cTtxtsubsPageMenu : public cOsdMenu 
{
    private:
        int mChannelId;
        int mPageNumber;
        int mPageMode;
    public:
        cTtxtsubsPageMenu();
        virtual ~cTtxtsubsPageMenu();
        virtual eOSState ProcessKey(eKeys Key);
};

#endif //___TTXTSUBSPAGEMENU_H
